ListGroupStatsRequest(mapping=None, *, ignore_unknown_fields=False, **kwargs)Specifies a set of ErrorGroupStats to return.
Attributes |
|
|---|---|
| Name | Description |
project_name |
str
Required. The resource name of the Google Cloud Platform project. Written as projects/{projectID} or
projects/{projectNumber}, where {projectID} and
{projectNumber} can be found in the `Google Cloud
console |
group_id |
MutableSequence[str]
Optional. List all [ErrorGroupStats] [google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats] with these IDs. The group_id is a unique identifier for
a particular error group. The identifier is derived from key
parts of the error-log content and is treated as Service
Data. For information about how Service Data is handled, see
[Google Cloud Privacy Notice]
(https://cloud.google.com/terms/cloud-privacy-notice).
|
service_filter |
google.cloud.errorreporting_v1beta1.types.ServiceContextFilter
Optional. List only [ErrorGroupStats] [google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats] which belong to a service context that matches the filter. Data for all service contexts is returned if this field is not specified. |
time_range |
google.cloud.errorreporting_v1beta1.types.QueryTimeRange
Optional. List data for the given time range. If not set, a default time range is used. The field [time_range_begin] [google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse.time_range_begin] in the response will specify the beginning of this time range. Only [ErrorGroupStats] [google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats] with a non-zero count in the given time range are returned, unless the request contains an explicit [group_id] [google.devtools.clouderrorreporting.v1beta1.ListGroupStatsRequest.group_id] list. If a [group_id] [google.devtools.clouderrorreporting.v1beta1.ListGroupStatsRequest.group_id] list is given, also [ErrorGroupStats] [google.devtools.clouderrorreporting.v1beta1.ErrorGroupStats] with zero occurrences are returned. |
timed_count_duration |
google.protobuf.duration_pb2.Duration
Optional. The preferred duration for a single returned [TimedCount] [google.devtools.clouderrorreporting.v1beta1.TimedCount]. If not set, no timed counts are returned. |
alignment |
google.cloud.errorreporting_v1beta1.types.TimedCountAlignment
Optional. The alignment of the timed counts to be returned. Default is ALIGNMENT_EQUAL_AT_END.
|
alignment_time |
google.protobuf.timestamp_pb2.Timestamp
Optional. Time where the timed counts shall be aligned if rounded alignment is chosen. Default is 00:00 UTC. |
order |
google.cloud.errorreporting_v1beta1.types.ErrorGroupOrder
Optional. The sort order in which the results are returned. Default is COUNT_DESC.
|
page_size |
int
Optional. The maximum number of results to return per response. Default is 20. |
page_token |
str
Optional. A [next_page_token] [google.devtools.clouderrorreporting.v1beta1.ListGroupStatsResponse.next_page_token] provided by a previous response. To view additional results, pass this token along with the identical query parameters as the first request. |